Loading...
Searching...
No Matches
pappso::FastaHandlerInterface Class Referenceabstract

`#include <fastahandlerinterface.h>`

Inheritance diagram for pappso::FastaHandlerInterface:

## Public Member Functions

virtual void | setSequence (const QString &description, const QString &sequence)=0

## Detailed Description

Definition at line 31 of file fastahandlerinterface.h.

## Member Function Documentation

## setSequence()

virtual void pappso::FastaHandlerInterface::setSequence | ( | const QString & | description,
|  | const QString & | sequence
| ) |  |

pure virtual

Implemented in pappso::FastaSeqHandler.

Referenced by pappso::FastaReader::parse(), and pappso::FastaReader::parseOnlyOne().

The documentation for this class was generated from the following file:

- pappsomspp/fasta/fastahandlerinterface.h